Read ingestion progress and outcome
curl --request GET \
--url https://api.refmatter.com/v1/ingestions/{ingestionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.refmatter.com/v1/ingestions/{ingestionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/ingestions/{ingestionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"workspaceId": "<string>",
"jobId": "<string>",
"sourceUrl": "<string>",
"mediaProfile": "none",
"transcript": true,
"state": "accepted",
"progress": {
"stage": "validate_url",
"completedStages": [
"validate_url"
],
"attemptNumber": 123,
"nextAttemptAt": "<string>"
},
"attempts": [
{
"id": "<string>",
"number": 123,
"sourceRouteId": "<string>",
"routeContractVersion": "<string>",
"state": "pending",
"stages": [
{
"stage": "validate_url",
"state": "pending",
"startedAt": "<string>",
"finishedAt": "<string>",
"durationMs": 4503599627370495,
"failureCode": "invalid_input"
}
],
"startedAt": "<string>",
"finishedAt": "<string>",
"failureCode": "invalid_input",
"retryable": true
}
],
"referenceId": "<string>",
"outcomeCode": "invalid_input",
"outcomeMessage": "<string>",
"cancelRequested": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"revision": 4503599627370495
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}ingestions
Read ingestion progress and outcome
GET
/
v1
/
ingestions
/
{ingestionId}
Read ingestion progress and outcome
curl --request GET \
--url https://api.refmatter.com/v1/ingestions/{ingestionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.refmatter.com/v1/ingestions/{ingestionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/ingestions/{ingestionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"workspaceId": "<string>",
"jobId": "<string>",
"sourceUrl": "<string>",
"mediaProfile": "none",
"transcript": true,
"state": "accepted",
"progress": {
"stage": "validate_url",
"completedStages": [
"validate_url"
],
"attemptNumber": 123,
"nextAttemptAt": "<string>"
},
"attempts": [
{
"id": "<string>",
"number": 123,
"sourceRouteId": "<string>",
"routeContractVersion": "<string>",
"state": "pending",
"stages": [
{
"stage": "validate_url",
"state": "pending",
"startedAt": "<string>",
"finishedAt": "<string>",
"durationMs": 4503599627370495,
"failureCode": "invalid_input"
}
],
"startedAt": "<string>",
"finishedAt": "<string>",
"failureCode": "invalid_input",
"retryable": true
}
],
"referenceId": "<string>",
"outcomeCode": "invalid_input",
"outcomeMessage": "<string>",
"cancelRequested": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"revision": 4503599627370495
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}Authorizations
bearerApiKeysessionCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Opaque ingestion identifier
Response
Current ingestion projection
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Required string length:
1 - 2048Available options:
none, analysis, full Available options:
accepted, queued, running, retry_wait, succeeded, failed, cancelled Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Available options:
invalid_input, unauthenticated, invalid_credential, credential_conflict, forbidden, policy_blocked, route_disabled, route_degraded, not_found, bootstrap_conflict, last_owner_conflict, revision_conflict, idempotency_conflict, unavailable_private, unavailable_restricted, unavailable_removed, unsupported_object, unsupported_media, limit_exceeded, rate_limited, source_changed, network_timeout, network_transport, media_invalid, storage_unavailable, retry_exhausted, internal_error Required string length:
1 - 240Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$Required range:
0 <= x <= 9007199254740991